''' (c) 2008 by the GunGame Coding Team

    Title: gg_winner_display
    Version: 1.0.3
    Description: Custom addon.
    '''

# ==============================================================================
#   IMPORTS
# ==============================================================================
# Python imports

# EventScripts imports
import es
import gamethread
import usermsg

# GunGame imports
import gungamelib

# ==============================================================================
#   ADDON REGISTRATION
# ==============================================================================
# Register this addon with EventScripts
info = es.AddonInfo()
info.name     = 'Winner Display Addon for GunGame: Python'
info.version  = '1.0.3'
info.url      = 'http://forums.gungame5.com/viewtopic.php?f=17&t=162'
info.basename = 'gungame/custom_addons/gg_winner_display'
info.author   = 'Sc0pE'

es.ServerVar('gg_winner_display_ver', info.version).makepublic()

# ==============================================================================
#   GAME EVENTS
# ==============================================================================
def gg_win(event_var):
    # Format variables
    attacker = event_var['attacker']
    attackername = es.getplayername(attacker).replace('&','%26')
    username = es.getplayername(event_var['userid']).replace('&','%26')
    steamid = es.getplayersteamid(attacker)
    wins = gungamelib.getWins(steamid)
    place = gungamelib.getWinnerRank(steamid) if steamid != 'BOT' else 'BOT'
    totalPlaces = gungamelib.getTotalWinners()
   
    # Send MOTD
    gamethread.delayed(0.5, sendDisplay, (attackername, username, wins, place, totalPlaces))

# ==============================================================================
#   HELPER FUNCTIONS
# ==============================================================================
def sendDisplay(attackername, username, wins, place, totalPlaces):
    for userid in es.getUseridList():
        usermsg.motd(userid, 2, 'GunGame Winner', '%s?winnerName=%s&loserName=%s&wins=%s&place=%s&totalPlaces=%s' % (gungamelib.getVariableValue('gg_winner_display_page'), attackername, username, wins, place, totalPlaces))